﻿using NUnit.Framework;

namespace Cpuss.Tests
{

    /// <summary>
    /// Tests for BurstTime enum.
    /// </summary>
    [TestFixture]
    public class BurstTimeTest
    {

        /// <summary>
        /// Check to see that the burst time bounds of a small process are correct.
        /// </summary>
        [Test]
        public void SmallProcessBurstTimeTest()
        {
            Assert.AreEqual(1, (int)BurstTime.SmallMin);
            Assert.AreEqual(99, (int)BurstTime.SmallMax);
        }

        /// <summary>
        /// Check to see that the burst time bounds of a medium process are correct.
        /// </summary>
        [Test]
        public void MediumProcessBurstTimeTest()
        {
            Assert.AreEqual(100, (int)BurstTime.MediumMin);
            Assert.AreEqual(499, (int)BurstTime.MediumMax);
        }

        /// <summary>
        /// Check to see that the burst time bounds of a large process are correct.
        /// </summary>
        [Test]
        public void LargeProcessBurstTimeBoundsTest()
        {
            Assert.AreEqual(500, (int)BurstTime.LargeMin);
            Assert.AreEqual(1000, (int)BurstTime.LargeMax);
        }

    }

}
